# pygccxml.declarations.pattern_parser module

Implementation details

class parser_t(pattern_char_begin, pattern_char_end, pattern_char_separator)

  Bases: `object`

  implementation details

  NOT_FOUND = (-1, -1)

    implementation details

  args(decl_string)

    Extracts a list of arguments from the provided declaration string.

    Implementation detail. Example usages: Input: myClass<std::vector<int>, std::vector<double>> Output: [std::vector<int>, std::vector<double>]

    Parameters

      decl_string (str) – the full declaration string

    Returns

      list of arguments as strings

    Return type

      list

  find_args(text, start=None)

    implementation details

  has_pattern(decl_string)

    Implementation detail

  join(name, args, arg_separator=None)

    implementation details

  name(decl_string)

    implementation details

  normalize(decl_string, arg_separator=None)

    implementation details

  split(decl_string)

    implementation details

  split_recursive(decl_string)

    implementation details